<?php 
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'nihil'); ?></p>
<?php
		return;
	}
?>


	<div style="clear:both;" class="section feedback"<?php
	if (is_singular()) {
		?> id="feedback"<?php
	} ?>>


		<div class="section comments"<?php
		if (is_singular()) {
			echo ' id="comments"';
		} ?>>
			<div class="header">
				<h3>
					<?php comments_rss_link( '<small><small>•)</small></small>)' ); ?>
					<a href="<?php the_permalink(); ?>#comments" title="<?php _e('Permanent link: Comments', 'nihil'); ?>"><?php
					_e('Comments', 'nihil'); ?></a><?php
					if ( empty($comments_by_type['comment']) ) : ?>: <?php $this->respond_link(); ?><?php
					endif; ?>
				</h3>
			</div>

<?php if ( !empty($comments_by_type['comment']) ) : ?>
			<ol class="comments">
				<?php wp_list_comments(array('type'=> 'comment','callback' => array($GLOBALS['nihil'], 'list_comments'))); ?>
<?php if ( !is_singular() ) { ?>
				<li><h3><?php $this->respond_link(); ?></h3>
<br />
<br />
<br />
				</li>
<?php } ?>
			</ol>
<?php endif;?>
		</div>

	<?php if('open' == $post->comment_status) {
		if ( is_singular() ) { ?>

		<div class="section response" id="respond">

			<div class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></div>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
			<fieldset style="width:720px; margin:0 auto;">
			<legend><a href="#respond" title="<?php printf( __('Permanent link: Respond to %s', 'nihil'), the_title_attribute('before=&after=&echo=0') ); ?>"><?php _e('Add Your Comment', 'nihil'); ?></a></legend>
  <table>
    <tbody>

      <tr><!-- Gravatar & Identity Headers-->
<?php if (function_exists('gravbox')) : ?>
	<th class="gravatar"><?php _e('Your&nbsp;gravatar', 'nihil'); ?></th>
	<th><?php _e('Your identity', 'nihil'); ?></th>
<?php else : ?>
	<th><?php _e('Your identity', 'nihil'); ?></th>
<?php endif; ?>
      </tr>

      <tr><!-- Gravatar & Identity containers-->
	<!-- Gravatar -->
<?php if (function_exists('gravbox')) : ?>
  <?php if ($user_ID) : ?>
	<!-- User is logged in, so use his gravatar. -->
	<td class="gravatar"><?php gravbox(); ?></td>
  <?php elseif( get_option('comment_registration') ) : ?>
	<!-- Login is required, but the user isn't logged in, so use the default 'undefined' gravatar from WP. -->
	<td class="gravatar"><?php echo get_avatar(''); ?></td>
  <?php else : ?>
	<!-- Update the gravatar according to identity. -->
	<?php
	$avatar = get_avatar('');
	$avatar = substr($avatar, strpos($avatar, "src='")+5);
	$avatar = substr($avatar, 0, strpos($avatar, "'"));
	?>
	<td id="gravboxcell" class="gravatar" style="background: url(<?php echo $avatar; ?>) no-repeat top left;"><?php gravbox(); ?></td>
  <?php endif; ?>
<?php endif; ?>

	<!-- Identity -->
  <?php if ($user_ID) : ?><!-- User is logged in. -->
	<td class="you-are logged-in"><?php printf(__('You are currently logged in as <a href="%s">%s</a>. [<a href="%s">Log out</a>]', 'nihil'), get_option('siteurl').'/wp-admin/profile.php', $user_identity, wp_logout_url( get_permalink().'#respond' ) ); ?></td>

  <?php elseif( get_option('comment_registration') ) : ?><!-- User needs to log in to comment. -->
	<td class="you-are not-logged-in"><?php printf(  __('You need <a href="%s">log in</a> to post a comment.', 'nihil'), get_bloginfo('url').'/wp-login.php?redirect_to='.urlencode( get_permalink() )  ); ?>	</td>

  <?php else : ?><!-- User isn't logged in and doesn't have to. -->
	<td class="you-are">
	    <table id="comment-user-details" style="width:100%;"><tbody>
	      <tr>
		<th><label for="author"<?php if($req) echo ' class="required"'; ?>><?php printf( __('Your Name %s', 'nihil'), $req ? ' <small>'.__('(required)', 'nihil').'</small>'                               : '' ); ?></label></th>
		<th style="width:50%;"><label for="email"<?php if($req) echo ' class="required"';?>><?php printf( __('Your Email Address %s', 'nihil'), $req ? ' <small>'.__('(required but will not be published)', 'nihil').'</small>' : '' ); ?></label></th>
	      </tr>
	      <tr>
		<td style="width:50%;"><input style="width:97%;" type="text" name="author" id="author" value="<?php echo $comment_author; ?>" /></td>
		<td style="width:50%;"><input style="width:100%;" type="text" name="email" id="email"   value="<?php echo $comment_author_email; ?>" /></td>
	      </tr>
	      <tr>
		<th colspan="2"><label for="url"><?php _e('Your Website Address', 'nihil'); ?></label></th>
	      </tr>
	      <tr>
		<td colspan="2"><input style="width:100%;" type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" /></td>
	      </tr>
	    </tbody></table>
        </td>

  <?php endif; ?>
      </tr>

      <tr><!-- Comment Header -->
	<th class="comment-header"<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
	  <label for="comment" class="textarea" style="margin:0 !important; padding:0 !important;"><span class="req"><?php _e('Comments <small>(required)</small>', 'nihil'); ?></span></label>
	</th>
      </tr>

      <tr><!-- Comment editor-->
	<td<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
	  <textarea name="comment" id="comment" cols="100" rows="20"></textarea>
	</td>
      </tr>

    </tbody>
  </table>
<div class="footer">
	<p><?php _e('You can use the following <abbr title="eXtensible HyperText Markup Language">XHTML</abbr> tags:', 'nihil'); ?> <code><?php echo allowed_tags(); ?></code></p>
<?php do_action('comment_form', $post->ID); ?>
	<p align="right"><input name="submit" type="submit" class="submit" value="<?php _e('Submit Comment', 'nihil'); ?>" /></p>
<?php comment_id_fields(); ?></div>
</fieldset>
</form>
</div>

<?php
		}
	}
	else { ?>
<p class="comments-closed"><strong><?php _e('Commenting on this post is currently closed.', 'nihil'); ?></strong></p>
<?php
	} ?>
<br />
<br />
<br />


<?php		if ( is_singular() ) { ?>
		<div class="section backrefereces"<?php
	if (is_singular()) {
		echo ' id="backreferences"';
	} ?>>
			<div class="header">
				<h3>
					<a href="<?php echo get_post_comments_feed_link(); ?>?trackbacks" title="<?php
					_e('Backreferences RSS', 'nihil'); ?>"><small><small>•)</small></small>)</a>
					<a href="<?php the_permalink(); ?>#backreferences"
						title="<?php _e('Permanent link: Backreferences', 'nihil'); ?>"><?php
					_e('Backreferences', 'nihil'); ?></a>:
					<a href="<?php trackback_url();?>" rel="trackback"
						title="<?php _e('Pick the URI for sending a TrackBack to from this link', 'nihil');
					?>"><?php _e('TrackBack', 'nihil'); ?></a>
				</h3>
<?php if ( pings_open() ) : ?>
<?php endif;?>
			</div>
	<?php if ( !empty($comments_by_type['pings']) ) : ?>
			<ol class="backrefereces">
				<?php wp_list_comments( array( 'type' => 'pings', 'callback' => array($GLOBALS['nihil'], 'list_pings') )  ); ?>
			</ol>
	<?php endif;?>
		</div>
<br />
<br />
<br />
<?php		} ?>
	</div><!-- end feedback -->
