<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>

	<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset'); ?>" />
	<link rel="me" type="text/html" href="http://www.google.com/profiles/jani.uusitalo" /> 

	<?php//link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=IM+Fell+DW+Pica"?>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
	<?php if ($_SERVER['SERVER_NAME'] != 'mummila.net') : ?>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/lab.css" media="screen" />
	<?php endif; ?>

	<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.png" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<title><?php
		if ( is_page('Home') ) {
			bloginfo('name'); 
		}
		else if ( is_search() ) {
			if ( wp_specialchars($s,1) != ' ') {
				printf( __('Search Results for &#39;%1$s&#39; on %2$s', 'nihil'),
					trim(wp_specialchars($s,1)), get_bloginfo('name') );
			}
			else {
				printf( __('%s - Search results for no query', 'nihil'), get_bloginfo('name') );
			}
		}
		else if ( is_404() ) {
			printf( __('%s - Refining your search', 'nihil'), get_bloginfo('name') );
		}
		else if ( have_posts() ) {
			wp_title(':', true, 'right');
			bloginfo('name');
		}
		else {
			bloginfo('name');
		}
		?></title>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>

<?php wp_get_archives('type=monthly&format=link'); ?>
</head>

<body id="top">
<?php if ($_SERVER['SERVER_NAME'] != 'mummila.net') : ?>
	<h1><a id="labraexit" href="http://mummila.net/marginaali/" title="Pois labrasta!" lang="en">Mr. Wizard, get me the hell out of here!</a></h1>
<?php endif; ?>

<div id="nihil">

	<div class="header" id="nihil-title" align="center">
		<h1><a href="<?php bloginfo('url'); ?>#blogtitle" id="blogtitle" title="<?php
			printf( __('Home: %s', 'nihil'), get_bloginfo('name') ); ?>"><?php
			bloginfo('name'); ?></a></h1>
		<h2><a href="<?php bloginfo('url'); ?>/<?php _e('about', 'nihil'); ?>/" title="<?php
			printf( __('About %s and the author', 'nihil'), get_bloginfo('name') ); ?>"><?php
			bloginfo('description'); ?></a></h2>
	</div><!-- end header -->

	<div class="nav quick" id="<?php _e('access', 'nihil'); ?>" align="center">
		<a href="#<?php _e('archive-menu', 'nihil'); ?>" title="<?php
			_e('Navigate to archive menu at the bottom of the page', 'nihil') ?>"><?php
			_e('To archive menu (bottom)', 'nihil') ?></a>
	</div>
<br />
<br />
<br />
	<div class="section" id="nihil-body">

		<div class="section content blog<?php if ( is_search() ) echo ' search-results'; ?>" id="nihil-content">
<?php ?>
